<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Bitwise.html">Bitwise</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Bitwise Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#a65c7e2d0a2b2278e58450bb9d289e148">convertBitPattern</a>(SrcT srcValue, SrcT srcBitMask, DestT destBitMask)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#af1d86f2723f835a233138259c962a952">firstPO2From</a>(uint32 n)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#aa59b3726641c31b63aa3e203559ca3bd">fixedToFixed</a>(uint32 value, unsigned int n, unsigned int p)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#a48006ba79d6f8c690e3131c7b4e441bf">fixedToFloat</a>(unsigned value, unsigned int bits)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#ad3f4d30ecc1aa5ea112a38e63a47b9c8">floatToFixed</a>(const float value, const unsigned int bits)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#aa02a9c5a117baf2da38ad562c2130681">floatToHalf</a>(float i)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#ad98268f6e1288301c0471e345e98cd1e">floatToHalfI</a>(uint32 i)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#a60bde1c399a387326753a52f9d56939c">getBitShift</a>(T mask)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#abb3cbaa74865420859ba7b1061f8d3f3">halfToFloat</a>(uint16 y)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#a7ccd62b11c082f76d4972e27896c6028">halfToFloatI</a>(uint16 y)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#ad0fcaa2e4f445d1e9c1fb69291061dec">intRead</a>(const void *src, int n)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#afa88e9d32bbc468ac3ee803ee4228ca1">intWrite</a>(void *dest, const int n, const unsigned int value)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#acef0757b2a07e5b297c87247f38f1691">isPO2</a>(T n)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#aa3fd3a659f416fe2f6e034c42b6a873c">mostSignificantBitSet</a>(unsigned int value)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
